Index: bf_sc/source/core/data/sc_documen2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_documen2.cxx,v
retrieving revision 1.10
retrieving revision 1.10.6.1
diff -u -r1.10 -r1.10.6.1
--- bf_sc/source/core/data/sc_documen2.cxx	27 Sep 2005 12:32:54 -0000	1.10
+++ bf_sc/source/core/data/sc_documen2.cxx	1 Nov 2005 14:00:37 -0000	1.10.6.1
@@ -1656,7 +1656,7 @@
 /*N*/ 		SvNumberFormatter* pOtherFormatter = pSrcDoc->xPoolHelper->GetFormTable();
 /*N*/ 		if (pOtherFormatter && pOtherFormatter != pThisFormatter)
 /*N*/ 		{
-/*N*/ 			SvULONGTable* pExchangeList =
+/*N*/ 			SvNumberFormatterIndexTable* pExchangeList =
 /*N*/ 					 pThisFormatter->MergeFormatter(*(pOtherFormatter));
 /*N*/ 			if (pExchangeList->Count() > 0)
 /*N*/ 				pFormatExchangeList = pExchangeList;
Index: bf_sc/source/core/data/sc_document.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_document.cxx,v
retrieving revision 1.8
retrieving revision 1.8.16.1
diff -u -r1.8 -r1.8.16.1
--- bf_sc/source/core/data/sc_document.cxx	7 Sep 2005 16:45:04 -0000	1.8
+++ bf_sc/source/core/data/sc_document.cxx	1 Nov 2005 14:00:37 -0000	1.8.16.1
@@ -1530,7 +1530,7 @@
 /*N*/ 			SvNumberFormatter* pOtherFormatter = pClipDoc->xPoolHelper->GetFormTable();
 /*N*/ 			if (pOtherFormatter && pOtherFormatter != pThisFormatter)
 /*N*/ 			{
-/*N*/ 				SvULONGTable* pExchangeList =
+/*N*/ 				SvNumberFormatterIndexTable* pExchangeList =
 /*N*/ 						 pThisFormatter->MergeFormatter(*(pOtherFormatter));
 /*N*/ 				if (pExchangeList->Count() > 0)
 /*N*/ 					pFormatExchangeList = pExchangeList;
Index: bf_sch/source/core/sch_chartdoc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chartdoc.cxx,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- bf_sch/source/core/sch_chartdoc.cxx	7 Sep 2005 21:51:00 -0000	1.5
+++ bf_sch/source/core/sch_chartdoc.cxx	1 Nov 2005 14:00:38 -0000	1.5.20.1
@@ -277,7 +277,7 @@
 //STRIP001 	// merge numberformatters
 //STRIP001 	if( pNewModel->pOwnNumFormatter && pNumFormatter )
 //STRIP001 	{
-//STRIP001 		SvULONGTable* pTransTable =
+//STRIP001 		SvNumberFormatterIndexTable* pTransTable =
 //STRIP001 			pNewModel->pOwnNumFormatter->MergeFormatter( *pNumFormatter );
 //STRIP001 
 //STRIP001 		if( pTransTable && pTransTable->Count() )
Index: bf_sch/source/core/sch_chaxis.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chaxis.cxx,v
retrieving revision 1.6
retrieving revision 1.6.20.1
diff -u -r1.6 -r1.6.20.1
--- bf_sch/source/core/sch_chaxis.cxx	7 Sep 2005 21:51:42 -0000	1.6
+++ bf_sch/source/core/sch_chaxis.cxx	1 Nov 2005 14:00:38 -0000	1.6.20.1
@@ -2761,7 +2761,7 @@
 //STRIP001 	return  ((mfMin <= fValue) && (fValue <= mfMax));	
 //STRIP001 }
 
-/*N*/ BOOL ChartAxis::TranslateMergedNumFormat( SvULONGTable* pTransTable )
+/*N*/ BOOL ChartAxis::TranslateMergedNumFormat( SvNumberFormatterIndexTable* pTransTable )
 /*N*/ {
 /*N*/ 	ULONG nFmt, nMrgFmt;
 /*N*/ 	BOOL bRet =FALSE;
Index: bf_sch/source/core/sch_chtmode5.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmode5.cxx,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- bf_sch/source/core/sch_chtmode5.cxx	7 Sep 2005 21:54:35 -0000	1.5
+++ bf_sch/source/core/sch_chtmode5.cxx	1 Nov 2005 14:00:39 -0000	1.5.20.1
@@ -383,7 +383,7 @@
 /*N*/ 				// merge old one to new one and set new one as member
 /*N*/ 				if( pNewFormatter && pNumFormatter )
 /*N*/ 				{
-/*N*/ 					SvULONGTable* pTransTable =
+/*N*/ 					SvNumberFormatterIndexTable* pTransTable =
 /*N*/ 						pNewFormatter->MergeFormatter( *pNumFormatter );
 /*N*/ 
 /*N*/ 					SetNumberFormatter( pNewFormatter );
Index: bf_sch/source/core/sch_chtmode9.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmode9.cxx,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- bf_sch/source/core/sch_chtmode9.cxx	7 Sep 2005 21:55:36 -0000	1.5
+++ bf_sch/source/core/sch_chtmode9.cxx	1 Nov 2005 14:00:40 -0000	1.5.20.1
@@ -1879,7 +1879,7 @@
 /*N*/ 	}
 /*N*/ }
 
-/*N*/ void ChartModel::TranslateAllNumFormatIds( SvULONGTable* pTransTable )
+/*N*/ void ChartModel::TranslateAllNumFormatIds( SvNumberFormatterIndexTable* pTransTable )
 /*N*/ {
 /*N*/ 	if( pChartXAxis->TranslateMergedNumFormat( pTransTable ) &&
 /*N*/         nXLastNumFmt >= 0 )
Index: inc/bf_sc/document.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sc/document.hxx,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- inc/bf_sc/document.hxx	9 Sep 2005 11:08:55 -0000	1.5
+++ inc/bf_sc/document.hxx	1 Nov 2005 14:00:40 -0000	1.5.20.1
@@ -165,10 +165,10 @@
 } //namespace binfilter
 
 #ifdef _ZFORLIST_DECLARE_TABLE
-class SvULONGTable;
+class SvNumberFormatterIndexTable;
 #else
 class Table;
-typedef Table SvULONGTable;
+typedef Table SvNumberFormatterIndexTable;
 #endif
 namespace binfilter {//STRIP009
 #define SC_TAB_APPEND		0xFFFF
@@ -346,7 +346,7 @@
 	XColorTable*		pColorTable;
 	ScConditionalFormatList* pCondFormList;				// bedingte Formate
 	ScValidationDataList* pValidationList;				// Gueltigkeit
-	SvULONGTable*		pFormatExchangeList;			// zum Umsetzen von Zahlenformaten
+	SvNumberFormatterIndexTable*		pFormatExchangeList;			// zum Umsetzen von Zahlenformaten
 	ScTable*			pTab[MAXTAB+1];
 	ScRangeName*		pRangeName;
 	ScDBCollection*		pDBCollection;
@@ -577,7 +577,7 @@
 	BOOL			GetName( USHORT nTab, String& rName ) const;
 	BOOL			GetTable( const String& rName, USHORT& rTab ) const;
 	inline USHORT	GetTableCount() const { return nMaxTableNumber; }
-	SvULONGTable*	GetFormatExchangeList() const { return pFormatExchangeList; }
+	SvNumberFormatterIndexTable*	GetFormatExchangeList() const { return pFormatExchangeList; }
 
 	void			SetDocProtection( BOOL bProtect, const ::com::sun::star::uno::Sequence <sal_Int8>& aPass );
 	void			SetTabProtection( USHORT nTab, BOOL bProtect, const ::com::sun::star::uno::Sequence <sal_Int8>& aPass );
Index: inc/bf_sch/chaxis.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sch/chaxis.hxx,v
retrieving revision 1.3
retrieving revision 1.3.18.1
diff -u -r1.3 -r1.3.18.1
--- inc/bf_sch/chaxis.hxx	9 Sep 2005 11:43:05 -0000	1.3
+++ inc/bf_sch/chaxis.hxx	1 Nov 2005 14:00:41 -0000	1.3.18.1
@@ -37,7 +37,7 @@
 
 //STRIP008 class ChartModel;
 class SvNumberFormatter;
-class SvULONGTable;
+class SvNumberFormatterIndexTable;
 //STRIP008 class SdrObject;
 //STRIP008 class SdrObjList;
 //STRIP008 class XPolygon;
@@ -389,7 +389,7 @@
 	//nDir ist Flag, kann sein CHAXIS_MARK_INNER und CHAXIS_MARK_OUTER (oder beides)
 	SdrObject *CreateMarks(long nPosition,long nLen,long nWhichTicks);
 
-	BOOL TranslateMergedNumFormat( SvULONGTable* pTransTable );
+	BOOL TranslateMergedNumFormat( SvNumberFormatterIndexTable* pTransTable );
     long GetUniqueId() const    { return mnUId; }
 
     /** Converts a CHOBJID into an axis UId.
Index: inc/bf_sch/chtmodel.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sch/chtmodel.hxx,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- inc/bf_sch/chtmodel.hxx	9 Sep 2005 11:43:58 -0000	1.5
+++ inc/bf_sch/chtmodel.hxx	1 Nov 2005 14:00:41 -0000	1.5.20.1
@@ -123,7 +123,7 @@
 #include <com/sun/star/util/XRefreshable.hpp>
 #endif
 class SvNumberFormatter;
-class SvULONGTable;
+class SvNumberFormatterIndexTable;
 class Vector3D;
 namespace binfilter {
 class SdrObjGroup;
@@ -981,7 +981,7 @@
 
 	void                SetNumberFormatter( SvNumberFormatter* );
 	void                DataRangeChanged( long _nOldRowCnt = 0, long _nOldColCnt = 0 );
-	void                TranslateAllNumFormatIds( SvULONGTable* );
+	void                TranslateAllNumFormatIds( SvNumberFormatterIndexTable* );
 
 	/** set new doc shell if there was no one before
         returns true if new shell was set */
